Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class LocalName

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.Name
                  |
                  +--spki.FQName
                        |
                        +--spki.LocalName

public class LocalName
extends FQName
implements SubjRoleObj, SubjNameObj, SubjAttributeObj, SubjCapabilityObj

SPKI LocalName class.

Formal definitions:

     <local-name>:: "(" "name" <principal> <byte-string> ")" ;

Version:
  $Id: LocalName.java,v 1.10 2002/06/25 12:12:28 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.

Fields inherited from class spki.FQName
`__ME`

Fields inherited from class spki.Name
`__ME, dirty, isFQName, isLocalName, isRelativeName, names, principal, SEXP_NAME`

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`protected` | `LocalName()` Don't use me!
`` | `LocalName(Principal principal, byte[] name)` Build an immutable LocalName from a principal and a name byte-array.
`` | `LocalName(Principal principal, String name)` Create an immutable LocalName from a principal and a name String.
`` | `LocalName(SExpression sexp)` Create an immutable LocalName from an S-Expression.

Method Summary
`boolean` | `equals(LocalName that)`
`Sexp` | `getName()` Get the name.

Methods inherited from class spki.Name
`addName, addName, addName, getInstance, getName, getNameDepth, getPrincipal, isFQName, isLocalName, isRelativeName, setPrincipal, toSExpression, verify`

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

Constructor Detail

### LocalName

    protected LocalName()

  Don't use me!
  See Also:
    `LocalName(Principal,String)`, `LocalName(Principal,byte[])`

### LocalName

    public LocalName(SExpression sexp)
              throws SPKIException,
                     ParseException

  Create an immutable LocalName from an S-Expression.
  See Also:
    `FQName.FQName(SExpression)`

### LocalName

    public LocalName(Principal principal,
                     String name)
              throws SPKIException

  Create an immutable LocalName from a principal and a name String.
  Parameters:
    `principal` - the principcal anchoring this name.
    `name` - the name String.
  Throws:
    SPKIException - if something went wrong.

### LocalName

    public LocalName(Principal principal,
                     byte[] name)
              throws SPKIException

  Build an immutable LocalName from a principal and a name byte-array.
  Parameters:
    `principal` - the principcal anchoring this name.
    `name` - the name byte-array.
  Throws:
    SPKIException - if something went wrong.

Method Detail

### getName

    public Sexp getName()
                 throws SPKIException

  Get the name.
  Returns:
    A copy of the name Sexp object.

### equals

    public boolean equals(LocalName that)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD